***********************************************************************
*                                                                     *
*  FLIX V1.10 profile.                                                *
*                                                                     *
*                                                                     *
*  Note: When you are satisfied with the settings in this profile,    *
*        remove all comments. You will see a SIGNIFICANT decrease     *
*        in the time it takes for FLIX to come up !                   *
*                                                                     *
*---------------------------------------------------------------------*

***********************************************************************
*                                                                     *
* The ALTER profile command defines,to the program, what action to    *
* take for each of the fields on the screen. This action will occur   *
* when the user attempts to exit a field which has been altered by    *
* the user.                                                           *
*                                                                     *
* The ALTER command is described below:                               *
*                                                                     *
*       ALTER field setting                                           *
*                                                                     *
*       Where:                                                        *
*                                                                     *
*              field could be any of the following:                   *
*                                                                     *
*              Name                                                   *
*              Ext                                                    *
*              Attribute                                              *
*              Date                                                   *
*              Time                                                   *
*              Description                                            *
*                                                                     *
*                                                                     *
*              setting could be any of the following:                 *
*                                                                     *
*              Nochange  - If specified, this field cannot be changed *
*                          by the user, and the TAB key will not      *
*                          move the cursor here.                      *
*                                                                     *
*              Allow     - If specified, then the field can be changed*
*                          by the user. No sound or prompt will be    *
*                          generated. This option is most useful for  *
*                          the description field.                     *
*                                                                     *
*              Prompt    - If specified, and if the user makes changes*
*                          to this field, then a prompt will appear on*
*                          the top of the screen asking the user      *
*                          to keep or abort the changes made.         *
*                                                                     *
*              Beep      - If specified, and if the user makes changes*
*                          to this field, then a beep will be heard   *
*                          when the user leaves the field.            *
*                                                                     *
*                          Note: If the profile command:              *
*                                                                     *
*                                OPTION NOSOUND                       *
*                                                                     *
*                                is specified, then no beep will be   *
*                                heard !                              *
*                                                                     *
*---------------------------------------------------------------------*
Alter Name        Prompt
Alter Ext         Prompt
Alter Attribute   Beep
Alter Date        Beep
Alter Time        Beep
Alter Description Allow

***********************************************************************
*                                                                     *
* The ATTR profile command defines the display attributes to be  used *
* for various portions of the FLIX display screen.  Each  display     *
* attribute value is entered as  a 2 digit hexadecimal value  or "*", *
* if the default is desired.                                          *
*                                                                     *
* The ATTR command is described below;                                *
*                                                                     *
*       ATTR   a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 a13             *
*                                                                     *
*       Where: a1  = title literals at top of display                 *
*              a2  = borders between display areas                    *
*              a3  = file information areas of display                *
*              a4  = command input areas of display                   *
*              a5  = messages displayed in command input areas        *
*              a6  = "Fnn" literals at bottom of display             *
*              a7  = Function key names at bottom of display          *
*              a8  = Entire screen when a DOS command or "/H"         *
*                    is executed                                      *
*              a9  = File Description field                           *
*              a10 = The spaces between each field                    *
*              a11 = Current line ( where the cursor is )             *
*              a12 = Any field which has been altered by the user     *
*              a13 = In the description of a file, this attribute     *
*                    displays the line which was put in the cut+paste *
*                    buffer by the Alt-L or Alt-Z command(s).         *
*                                                                     *
* Below are the values to use for the colors. Get one value from the  *
* foreground and ADD it to the background to get the color attribute. *
* In a monochrome system, the BLUE color serves as the underline      *
* attribute.                                                          *
*                                                                     *
*   Foreground:                   Background:                         *
*                                                                     *
*              BLACK      0                  BLACK      0             *
*              BLUE       1                  BLUE      10             *
*              GREEN      2                  GREEN     20             *
*              CYAN       3                  CYAN      30             *
*              RED        4                  RED       40             *
*              MAGENTA    5                  MAGENTA   50             *
*              BROWN      6                  BROWN     60             *
*              AMBER      6                  WHITE     70             *
*              WHITE      7                  BLINK     80             *
*              GRAY       8                                           *
*              LBLUE      9                                           *
*              LGREEN     a                                           *
*              LCYAN      b                                           *
*              LRED       c                                           *
*              LMAGENTA   d                                           *
*              YELLOW     e                                           *
*              BRWHITE    f                                           *
*                                                                     *
*  -   1  2  3  4  5  6  7  8  9 10 11 12 13                          *
*---------------------------------------------------------------------*
*attr  1c 01 02 03 04 70 03 07 06 00 71 47 1c  (COLOR systems. Default)
 attr  70 07 07 0f 70 70 07 07 07 00 70 70 0f  (Use for MONOCHROME   )

***********************************************************************
*                                                                     *
* The  CHAR  profile  command  defines  the  character  to be used to *
* identify FLIX commands or fileid functions within DOS commands,     *
* the character to  be used to  concatenate (stack) DOS  commands and *
* the character to  be used to  indicate the desired  cursor position *
* within an "interactive" function or macro key.  The The  characters *
* are entered as 1 punctuation character OTHER than "*", "=" or  "?". *
*                                                                     *
* The command character MUST be "doubled-up"  if it is to be part  of *
* the command text.  For example, if "/" is the character "FORMAT  B: *
* //V" results in "FORMAT B:  /V".                                    *
*                                                                     *
* The CHAR command is described below;                                *
*                                                                     *
*       CHAR  a b c                                                   *
*                                                                     *
*       Where; a = character denoting an FLIX command or fileid       *
*                  function                                           *
*              b = character concatenating multiple DOS commands      *
*              c = character indicating desired cursor position       *
*---------------------------------------------------------------------*
* char / # _    (Default command, concatenation and cursor characters)

***********************************************************************
*                                                                     *
* The DEFINE profile command defines  the FLIX or DOS command  to     *
* be  assigned  to  a  given  function  key.    Each  function key is *
* identified as "Fnn",  "A-Fnn", "C-Fnn" or  "S-Fnn", followed by  an *
* equal sign, followed by the  name to be displayed for  the function *
* key, followed by the FLIX or DOS command text to be assigned to     *
* the function key.                                                   *
*                                                                     *
* The DEFINE command is described below;                              *
*                                                                     *
*                                                                     *
*       DEFINE  a  =  [b]  c                                          *
*                                                                     *
*       Where; a = function key being assigned                        *
*              b = name to be displayed in name area of display       *
*              c = FLIX or DOS command text                           *
*---------------------------------------------------------------------*
define f1    = [Browse]       LIST
define f2    = [Kedit]        KEDIT
define f3    = [Quit]         /q
define f4    = [Sort Name]    /sn
define f5    = [Sort Ext]     /se
define f6    = [Sort Size]    /ss
define f7    = [List Nam]     /l /dp/n.*
define f8    = [List Ext]     /l /dp*/e
define f9    = [Refresh]      /r
define f10   = [Sort Date]    /sd
define f11   = [Prev Level]   /l-
define f12   = [/=]           /=
*
define a-f1  = [UNZIP -V]     UNZIP -V
define a-f2  = [UNZIP -T]     UNZIP -T
define a-f3  = [UNZIP]        UNZIP
define a-f4  = [UNPAK -V]     UNPAK -V
define a-f5  = [UNPAK -T]     UNPAK -T
define a-f6  = [UNPAK]        UNPAK
define a-f7  = [ZOO -L]       ZOO -L
define a-f8  = [ZOO -EX]      ZOO -EX
define a-f9  = [LZH _]        LZH _
define a-f10 = [LZH X]        LZH X
define a-f11 = []
define a-f12 = []
*
define c-f1  = [Tree]         /l /dpn
define c-f2  = []
define c-f3  = [Help]         /h
define c-f4  = [Find Next]    /f =
define c-f5  = []
define c-f6  = []
define c-f7  = [Prev Level]   /l-
define c-f8  = [Next Level]   /l+
define c-f9  = []
define c-f10 = [Run Program]  /DPN
define c-f11 = []
define c-f12 = []
*
define s-f1  = [Copy To A:]   Copy / a:
define s-f2  = [Copy To B:]   Copy / b:
define s-f3  = [Copy To C:]   Copy / c:
define s-f4  = [Copy To D:]   Copy / d:
define s-f5  = []
define s-f6  = [Read A:]      /L A:*.*
define s-f7  = [Read B:]      /L B:*.*
define s-f8  = [Read C:]      /L C:*.*
define s-f9  = [Read D:]      /L D:*.*
define s-f10 = []
define s-f11 = []
define s-f12 = []

***********************************************************************
*                                                                     *
* The EXECUTE profile command defines a FLIX or DOS command to be     *
* executed during FLIX initialization.   This is most  useful for     *
* sorting  the  directory  into  a  given  sequence  prior  to  being *
* displayed.                                                          *
*                                                                     *
* The EXECUTE command is described below;                             *
*                                                                     *
*       EXECUTE  a                                                    *
*                                                                     *
*       Where: a = FLIX or DOS command text                           *
*                                                                     *
* Only one EXECUTE command is allowed, others will be IGNORED.        *
*                                                                     *
*---------------------------------------------------------------------*
*execute /se

***********************************************************************
*                                                                     *
* The FIATTR profile command defines the file attributes to be used   *
* for the file selection criteria. All files which have 1 or more of  *
* these attributes will be displayed. The only exception is the       *
* DESCRIPT.ION file which may not be displayed if the OPTION X_DSCR   *
* is specified elsewhere in this profile.                             *
*                                                                     *
* The FIATTR  command is  described below                             *
*                                                                     *
*       FIATTR a1 a2 a3 a4                                            *
*                                                                     *
*       Where:                                                        *
*                                                                     *
*              a1 - Defines the Archive   bit. Specify 0, 1 or *      *
*              a2 - Defines the System    bit. Specify 0, 1 or *      *
*              a3 - Defines the Hidden    bit. Specify 0, 1 or *      *
*              a4 - Defines the Read-Only bit. Specify 0, 1 or *      *
*                                                                     *
*---------------------------------------------------------------------*
Fiattr 1 1 1 1

***********************************************************************
*                                                                     *
* The FILEID profile  command defines the  components to be  used for *
* creating full fileids when inserting by "/" or appending to the end *
* of a DOS command.   The fileid may consist of  "D(rive)", "P(ath)", *
* "N(ame)" and/or  "E(xtension)".                                     *
*                                                                     *
* The FILEID  command is  described below                             *
*                                                                     *
*       FILEID  a                                                     *
*                                                                     *
*       Where: a = Any combination of "D", "P", "N" and/or "E"        *
*---------------------------------------------------------------------*
fileid dpne    (Default fileid components)

***********************************************************************
*                                                                     *
* The MACRO profile command defines the FLIX or DOS command to be     *
* assigned  to  a  given  alternate  key.    Each  alternate  key  is *
* identified as  "A-x", followed  by an  equal sign,  followed by the *
* text of the "macro" to be assigned to the key.                      *
*                                                                     *
* The MACRO command is described below;                               *
*                                                                     *
*       MACRO  a  =  b                                                *
*                                                                     *
*       Where: a = alternate key being assigned                       *
*              b = FLIX or DOS command text                           *
*---------------------------------------------------------------------*
macro a-a = /sa
macro a-c = copy / _
macro a-d = /sd
macro a-e = /se
macro a-f = findit /ne
macro a-g = /sg
macro a-h = /h
macro a-k = kedit
macro a-l = list  _
macro a-m = mkdir _
macro a-n = /sn
macro a-p = path _
macro a-q = dir /dp
macro a-s = /ss
macro a-t = type _
macro a-v = li
macro a-w = /w
macro a-x = /sx

***********************************************************************
*                                                                     *
* The OPTION profile command defines various options to be used by    *
* FLIX.                                                               *
*                                                                     *
* The OPTION command is described below;                              *
*                                                                     *
*       OPTION  opt1 opt2 ... optn                                    *
*                                                                     *
*       Where: opt1 - optn is one or more of the options listed below.*
*                                                                     *
* The possible options are:                                           *
*                                                                     *
*   CHDIR   or NOCHDIR       - Move to the directory that each file   *
*                              belongs to, before executing a DOS     *
*                              command. The directory is listed in    *
*                              each file's group.                     *
*                                                                     *
*   ECHO    or NOECHO        - "ECHO" DOS commands prior to execution *
*                                                                     *
*   HOLD    or NOHOLD        - "HOLD" after DOS commands which create *
*                              output                                 *
*                                                                     *
*   PAUSE   or NOPAUSE       - "PAUSE" before each DOS command        *
*                              (ESC to skip)                          *
*                                                                     *
*   RETRACE                  - Specify this option if you have a CGA  *
*                              card AND you see 'snow' on your screen.*
*                                                                     *
*                              NOTE:                                  *
*                              If you set this option and you         *
*                              have NO problem with screen 'snow',    *
*                              you will see a significant DESCREASE   *
*                              in display performance. Use with       *
*                              caution !!!!                           *
*                                                                     *
*   SOUND   or NOSOUND       - Enable sound (beeps and bells).        *
*                                                                     *
*   XMS     or NOXMS         - Use XMS for swapping (if available)    *
*   EMS     or NOEMS         - Use EMS for swapping (if available)    *
*   FMS     or NOFMS         - Use a file in the directory defined by *
*                              environment variables TEMP or TMP for  *
*                              swapping. The file name will always be *
*                              unique.                                *
*                                                                     *
*   SHOW_ATTR or NOSHOW_ATTR - Show file attributes                   *
*                                                                     *
*   SHOW_DSCR or NOSHOW_DSCR - Show file descriptions                 *
*                                                                     *
*   X_DSCR    or NOX_DSCR    - Hide the 4DOS DESCRIPT.ION file which  *
*                              contains file the descriptions.        *
*                                                                     *
*   Note: The option command can be specified in more than one line.  *
*                                                                     *
*---------------------------------------------------------------------*
Option nochdir noecho hold nopause sound XMS EMS FMS
Option show_attr noshow_dscr x_dscr

***********************************************************************
*                                                                     *
* The SYNONYM  profile command  defines an  alias for  a DOS command. *
* Each  alias  is  replaced  by  its  true  name prior to DOS command *
* execution.  A  maximum of 50  SYNONYM commands are  allowed, others *
* will be IGNORED.                                                    *
*                                                                     *
* The SYNONYM command is described below;                             *
*                                                                     *
*       SYNONYM  a  b                                                 *
*                                                                     *
*       Where: a = alias DOS command name                             *
*              b = true DOS command name                              *
*---------------------------------------------------------------------*
synonym c copy
synonym r rename
synonym t type
